#!/usr/bin/perl

require '../common/wwwutil';

#$userlog = <./user.log>;
#open(USERLOG, ">>$userlog");

# open stdin
read(STDIN, $_, $ENV{'CONTENT_LENGTH'});

# print header
print "Content-type: text/html

<body bgcolor=ffffff>
";


# take string apart
split(/=/);
$fh = &unescape($_[1]);

open(DATA, "$fh") || die "can't open $fh";


while (<DATA>) {
    chop;                           # remove newline
    last if !($_);                  # empty line?
    ($key, $value) = split(/=/);    # split into key=value
    $var{$key} = $value;
}

while (<DATA>) {
    push(@pn, $_);                 # store it by line item
}

close(DATA);


# send to email address
if ($var{'email'}) {
    $sendmail = "sendmail -oi -t";
    if ($var{'email'}) {
	if  ($var{'email'} =~ /[ ][^\@]/) {
	    print "<p>Error: invalid email address!";
	    exit;
	}
	
	open(MAIL, "| $sendmail") || die "Error: can't start mailer";

	print MAIL "To: $var{'email'}\n";
	if ($var{'emailself'}) {
	    print MAIL "Bcc: $var{'quotedby'} <$var{'myemail'}>\n";
	}
	print MAIL "Subject: QUOTATION - $var{'rfqnumber'}\n";
	print MAIL "From: $var{'quotedby'} <$var{'myemail'}>\n\n";

	print MAIL "===================== QUOTATION ======================\n\n";
	
	print MAIL "Reference \# $var{'rfqnumber'}\n\n";
	
	print MAIL "From: $var{'quotedby'}\n";
	print MAIL "Date: $var{'datequoted'}\n";
	print MAIL "Time: $var{'timequoted'}\n\n";

	print MAIL "$var{'name'}\n";
	print MAIL "$var{'addr1'}\n" if $var{'addr1'};
	print MAIL "$var{'addr2'}\n" if $var{'addr2'};
	print MAIL "$var{'addr3'}\n" if $var{'addr3'};
	print MAIL "\nAttn: $var{'contact'}\n" if $var{'contact'};

	print MAIL "\n\nWe are pleased to quote as follows:\n\n";
	
	print MAIL "    Make: $var{'make'}\n" if $var{'make'};
	print MAIL "   Model: $var{'model'}\n" if $var{'model'};
	print MAIL "  Serial: $var{'serial'}\n" if $var{'serial'};

	print MAIL "\n\nQt'y  Part Number      Description           ";
#List     Price     Total";
#1234  123456789012345  12345678901234567890  12345678  12345678  12345678
	print MAIL "List Price" if $var{'showlist'};
	print MAIL "Your Price";
	print MAIL "   Total\n";

	print MAIL "===============================================================";
	print MAIL "==========" if $var{'showlist'};
	
	print MAIL "\n";
	
	foreach $item (@pn) {
	    @a = split(/\t/, $item);
	    if ($a[1]) {
		$t = substr($a[2],0,20);
		printf MAIL ("%4d  %-15s  %-20s", $a[1], $a[0], $t);
		printf MAIL ("  %8.2f", $a[4] * $var{'exchange'}) if $var{'showlist'};
		$t = sprintf("%.2f", $a[3] * $var{'exchange'});
		printf MAIL ("  %8.2f  %8.2f\n", $t, $t * $a[1]);
		$total += $t * $a[1];
	    }
	}

	print MAIL "\n";
	$lg = $var{'showlist'} ? 63 : 53;
	$lg = "%" . $lg . "s";
	if ($var{'shipping'}) {
	  printf MAIL ("$lg", "Shipping \& Handling");
	  $t = $var{'shipping'} * $var{'exchange'};
	  printf MAIL ("  %8.2f\n", $t);
	}
	printf MAIL ("$lg", "Total");
	printf MAIL ("  %8.2f\n", $total + $t);

	print MAIL &unescape($var{'message'});
	
	print MAIL "\n\n";

	print MAIL "All prices quoted in $var{'currency'}\n";
	print MAIL "Duties and Taxes extra\n";
	print MAIL "$var{'freight'}\n";
	print MAIL "Terms: $var{'terms'}\n";
	print MAIL "Quotation valid for $var{'expire'} days\n\n";
	
	print MAIL &unescape($var{'mysig'});
	
	close(MAIL);

	print "<h1>Quotation Transmittal</h1>

	<p>Quotation - $var{'rfqnumber'} successfully transmitted
	to $var{'email'}";

	print "<p>A copy of the quotation was also emailed to yourself." if $var{'emailself'};
    }
} else {
    print "<p>Error: missing email address!";
}

#close(USERLOG);

