#!/usr/bin/perl


use Pg;
require('../common/config');
require('../common/selection');

# if we come from the search screen add the number
$number = $ENV{'QUERY_STRING'};

print "Content-type: text/html\n\n";
print "<body bgcolor=ffffff>\n";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";


$cost_curr = &currselection("CDN", "cost_curr");
$supplier = &buildselection("", "supplier_id", "supplier");

print "
<h2>Adding Supply</h2>

<form method=post action=addit.pl>

<table border=1>
<tr valign=top>
<td>
<table>

<tr>
<th align=right>Part Number:</th><td colspan=4><input name=number value=\"$number\" size=16 maxlength=16></td>
</tr>

<tr>
<th align=right>Supplier:</th><td colspan=4>$supplier</td>
</tr>

<tr>
<th align=right>Cost:</th><td><input name=cost_price size=8></td><td>$cost_curr</td><th align=right>Price Update:</th><td><input name=priceupdate></td>
</tr>

<tr valign=top>
<th align=right>Notes:</th><td colspan=4><textarea name=notes cols=60 rows=4></textarea></td>
</tr>

</table>
</td>

</td>
</tr>
</table>

<p><input type=submit value=\"Add Record\">
</form>
";

PQfinish($conn);

print "
</body>
</html>
";


