#!/usr/bin/perl


use Pg;
require('../common/config');
require('dbstruct');


# read query string
$oid = $ENV{'QUERY_STRING'};

print "Content-type: text/html\n\n";
print "<body bgcolor=ffffff>\n";


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";


# retrieve record
$query = "select * from $table where oid = $oid;";
$pt = PQexec($conn, $query);
# check if it is still there
$n = PQntuples($pt);

if ($n) {
  $transdate = PQgetvalue($pt, 0, 0);
  $description = PQgetvalue($pt, 0, 1);
  $amount = PQgetvalue($pt, 0, 2);
  $chqnumber = PQgetvalue($pt, 0, 3);
  $cleared = PQgetvalue($pt, 0, 4);
  
  print "
  <h2>Editing $tablename Transaction</h2>

  <form method=post action=update.pl>


  <table border=1>
  <tr>
  <td>
  <table>

  <tr>
  <th align=right>Date:</th><td><input name=transdate value=\"$transdate\" size=10></td>
  </tr>
  
  <th align=right>Description:</th><td><input name=description value=\"$description\" size=30></td>
  </tr>

  <tr>
  <th align=right>Amount:</th><td><input name=amount value=\"$amount\" size=10></td>
  </tr>
 
  <tr>
  <th align=right>Cheque Number:</th><td><input name=chqnumber value=\"$chqnumber\" size=4></td>
  </tr>

  <tr>
  <th align=right>Cleared (y/n):</th><td><input name=cleared value=\"$cleared\" size=1 maxlength=1></td>
  </tr>

  </table>
  </td>

  </tr>
  </table>

  <input type=hidden name=oid value=$oid>
  <p><input type=submit value=Update>
  </form>
  ";
} else {
  # record is gone
  print "<h2><font color=red>Record does not exist anymore!</font></h2>";
}

PQclear($pt);
PQfinish($conn);

print "
</body>
</html>
";


