#!/usr/bin/perl


use Pg;
require('../common/config');
require('../common/selection');


# connect to database
$conn = PQsetdb($pghost, $pgport, $pgoptions, $pgtty, $dbname);
(PQstatus($conn) == PGRES_CONNECTION_OK) || die "Could not connect to database $dbname";

# set variable to 'customer', retrieve from customer table
$customers = &buildselection("", "customer", "customer");


print "Content-type: text/html

<title>Invoice / Select Customer</title>

<body bgcolor=ffffff>

<h2>Make Invoice out to</h2>


<form method=post action=partsform.pl>

$customers

<p>
Enter Part Numbers
<input name=number size=65>

<br>
<input type=submit value=Next>
</form>

<p>
[ <a href=/customer/add.html>Add Customer</a> ] 

<p>
Select a customer and enter part numbers to invoice
<br>
To get additional item lines enter \"NPN\" as many times as
needed.
<p>
If you add a new customer be sure to reread this form to include
the new name in the selection box.

</body>
</html>
";

PQfinish($conn);

